<%@ Language=VBScript %>
<% option explicit 
	Response.Expires = -1
	Response.Buffer = true
%>
<!-- #include file="../inc/consts.asp" -->
<!-- #include file="../inc/common.asp" -->
<!-- #include file="../inc/lib.asp" -->
<!-- #include file="inc/odbclib.asp" -->
<html>
<head>
<title>Testing DSN</title>
<% 

Dim oInstDb, oServer, strStatus, flASPSrvStopped, strServer, strServerName, strRefInterval, strBackPage
Dim oSection, i, strServerURL, strServerNameURL, strDSN, strCS, lEngineID, flWebSrvStopped

' get DSN 	
strDSN = Request.QueryString("dsn")

strServer = Request.QueryString("srv")
strServerName = Request.QueryString("sname")

Set oInstDb = Server.CreateObject("chili.installed_db")
Set oServer = oInstDb.Servers(strServer)
flASPSrvStopped = (UCase(oServer.RunStatus)="STOPPED")

flWebSrvStopped = (0=oServer.IsWebServerRunning)

if not flASPSrvStopped and not flWebSrvStopped then
	
	' NOTE: Microsoft SQL and DB2 are specific cases for testing DSN
	' It requirs the UID and PWD to be set in the connection string
	' example - DSN=MSSQLTEST;UID=user;PWD=password

	' vars for SetoINIFile
	Dim oINIFile, iErr, strErrDesc, strINIFile ' and oSection
	strINIFile = strServer & "/odbc.ini"
	
	Set oINIFile = Server.CreateObject("chili.inifile")

	on error resume next
	oINIFile.Open strINIFile

	Set oSection = oINIFile.Sections(Request.QueryString("dsn"))
	
	strCS = ""
	
	lEngineID = CLng(Request.QueryString("db"))

	iErr = Err.number
	strErrDesc = Err.description
	
	If iErr=0 then
		if( c_MSSQL=lEngineID or c_DB2=lEngineID or c_PostgreSQL=lEngineID )then
			Dim strUID, strPWD
			if( c_PostgreSQL=lEngineID )then
				strUID = oSection.Items("User").Value
			else
				strUID = oSection.Items("LogonID").Value
			end if
			strUID = "UID=" & strUID & ";"
			strPWD = oSection.Items("Password").Value
			strPWD = "PWD=" & strPWD & ";"
			strCS = strUID & strPWD
		end if
	else 
		ErrMsg Err.description
	end if
	on error goto 0
	
	Dim strHost, strPort
	
	'get the Host name from the URL that bring you here. This is a fix for Netscape Web Server
	strHost = WebServerName(Request.ServerVariables("HTTP_HOST"))
	
	'get the port number from the component
	strPort = WebServerPort(oServer.ServerURL)
	
	' we send the server name and the location of asp server. Also we send connection string after "DSN=" to the test page on the
	' production engine. See testdsn.asp in the SYSAPP
	strDSN = Request.QueryString("dsn") & ";" & strCS
	
	Dim oFS, oTF, strFile
	Set oFS = Server.CreateObject("Scripting.FilesystemObject")

	strFile  = oInstDb.ASPLocation & c_SysLocation & "/" & c_DSNTestFile
	
	Set oTF = oFS.CreateTextFile(strFile, true)
	
	oTF.WriteLine( Request.QueryString("dsn") )
	oTF.WriteLine( strDSN )
	oTF.WriteLine(strServerName)
	oTF.WriteLine(strServer)
	oTF.Close
	
	Response.Redirect "http://" & strHost & ":" & strPort & "/" & c_sys_app & "/testdsn.asp?f=" & c_DSNTestFile

end if

strServerURL = Server.URLEncode(strServer)
strServerNameURL = Server.URLEncode(strServerName)

%>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" link="#FFFFFF" vlink="#FFFFFF" alink="#FFFFFF">

<div align="left">
  <table border="0" width="420" height="10">
    <tr>
      <td width="8"></td>
      <td width="400">

<% WriteTitle "Test DSN", Request.QueryString("dsn"), "", "" %>    

<p>
<font face="Verdane, Arial, Helvetica" size="2">
<% if flWebSrvStopped then %>
Web Server is stopped. To test the DSN you must <A class=BlackLink href="../server.action.asp?action=7&amp;server=<%= strServerURL %>&amp;ws=1"><font color="#000000">start</font></A> it.<br><br>
<% end if %>
<% if flASPSrvStopped then %>
ASP Server is stopped. To test the DSN you must <A class=BlackLink href="../server.action.asp?action=2&server=<%= strServerURL %>"><font color="#000000">start</font></A> it.
<% end if %>
</font>
</p>
      </td>
    </tr>
  </table>
</div>

</body>
</html>
