<%@ Language=VBScript %>
<HTML>
<HEAD>
<TITLE>ActiveX Data Object (ADO)</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<SCRIPT LANGUAGE=javascript>
<!--

function PopulateonChange( oElement, strToElement ) {
	
	var oDestElement = oElement.form.elements[strToElement];
	var strSel = oElement.options[oElement.selectedIndex].text;
	if (!(strSel=='_____ Tables _____')) {
		oDestElement.value = strSel;
	}
	else
		oDestElement.value = '';
	
}

//-->
</SCRIPT>

<% 
' dumps a record set
Sub DisplayResults( rs )

	response.write "<P><TABLE BORDER=1><TR>"

	' Write column names in the header
	For i = 0 to rs.Fields.Count - 1
 		response.write "<TD><B>"
		response.write rs(i).Name 
		response.write "</B></TD>"
	Next

	response.write "</TR>"

	' Loop thrue all records and write fields in the table
	Do While Not rs.EOF 

		response.write "<TR>"

		For i = 0 to rs.Fields.Count - 1
			response.write "<TD VALIGN=TOP>"

			if IsNull(rs(i).Value) then			
				response.write "Null"
			else
				response.write rs(i).Value
			end if

			response.write "</TD>"

		Next
	
		response.write "</TR>"
	
		rs.MoveNext
	Loop

	response.write "</TABLE>"

End Sub


' keep options for a listbox of tables
strTableList = ""

if (Session("DSN") <> Request("DSN")) then
	' if DSN has changed reset the session variables
	Session("DSN") = Request("DSN")
	Session("TableList") = ""
end if

if Request("DSN") <> "" then

	' construct connection string
	connStr = "DSN=" & Request("DSN") & ";"

	connStr = connStr & "UID=" & Request("UID") & ";"

	connStr = connStr & "PWD=" & Request("PWD") & ";"

	if (Request("btn") = "Tables") then
		
		' create Connection object
		Set conn = Server.CreateObject("ADODB.Connection")
		
		conn.Open connStr
		
		' call to OpenSchema to get a recordset of tables in the database
		set rs = conn.OpenSchema(20) ' adSchemaTables
		
	    strTableList = "<option value=""_____ Tables _____"">_____ Tables _____</option>"
	    
		do while not rs.EOF
		
			if ("TABLE" = rs("TABLE_TYPE")) then
				strTableNameEnc = Server.HTMLEncode(rs("TABLE_NAME"))
		    
				strTableList = strTableList & "<option>" & strTableNameEnc & "</option>"
			end if
			
			rs.MoveNext
			
		loop
		
		Session("TableList") = strTableList
		
		rs.Close
		conn.Close
	end if

end if 

%>

<H3>ADO Connection Testing</H3>
<p>Enter a System Data Source Name (DSN) and a Table name, and the sample code will dump the returned records
if any into an HTML table.</p>

<p>If you would like to perform a specific SQL statement, leave the "Table" field blank and write in your SQL statement. After you enter DSN, UID and Password you can click on "Tables" button to get a list of the tables in the database.</p>
<form method="POST" action="sqlexecute.asp">
  <table border="0" width="100%">
    <tr>
      <td width="5%">System&nbsp;DSN:</td>
      <td width="95%">
  <input type="text" name="DSN" size="25" value="<%= Server.HTMLEncode(Request("DSN"))%>"></td>
    </tr>
    <tr>
      <td width="5%">UID:</td>
      <td width="95%">
  <input type="text" name="UID" size="25" value="<%= Server.HTMLEncode(Request("UID"))%>"></td>
    </tr>
    <tr>
      <td width="5%">Password:</td>
      <td width="95%">
  <input type="text" name="PWD" size="25" value="<%= Server.HTMLEncode(Request("PWD"))%>"></td>
    </tr>
    <tr>
      <td width="5%">Table Name:</td>
      <td width="95%">
  <input type="text" name="Table" size="25" value="<%= Server.HTMLEncode(Request("Table"))%>">
  <% if ("" <> Session("TableList")) then %>
  <select size="1" name="tables" OnChange="PopulateonChange(this, 'Table');"><%= Session("TableList") %>
  </select>
  <% end if %> <input type="submit" value="Tables" name="btn">
  </td>
    </tr>
    <tr>
      <td width="100%" colspan="2">
<p>SQL Statement:<br>
  <textarea name="SQL" rows=9 cols=77><%= Server.HTMLEncode(Request("SQL")) %></textarea>
      </td>
    </tr>
    <tr>
      <td width="100%" colspan="2">Return results to screen: <input type="checkbox" name="RETURN" checked=TRUE></td>
    </tr>
  </table>
<br>  
<p><input type="submit" value="Submit" name="btn"><input type="reset" value="Reset" name="B2"></p>
</form>
<hr>

<%

if Request("DSN") <> "" and Request("btn") = "Submit" and (Request("Table") <> "" or Request("SQL") <> "") then
	
	if Request("SQL") = "" then 
		if( 0<>InStr(Request("Table"), " ") )Then
			SQL = "Select * from """ & Request("Table") & """"
		else
			SQL = "Select * from " & Request("Table") 
		end if
  	else 
		SQL = Request("SQL")
	end if

	' create Connection object
	Set conn = Server.CreateObject("ADODB.Connection")

	conn.ConnectionTimeout = 30
	conn.CommandTimeout = 30	

	response.write "ConnectionString: " & connStr & "<BR>"
	response.write "SQL Statement: " & SQL & "<BR>"

	' open a connection
	conn.Open connStr

	' execute SQL statment
	Set rs = conn.Execute(SQL)

	if Request("RETURN")="on" then
		if rs.State = 0 then ' adStateClosed
			Response.Write "SQL statment doesn't return a value"
		else
			DisplayResults rs
		end if 
	end if
	
	if rs.State <> 0 then ' recordset not closed
		rs.Close
	end if
	
	conn.Close

end if
%>

<BR>
<BR>
<!--#include file="srcform.inc"-->
</BODY>
</HTML>
