# to enable Java/Chili!Beans Support, change BEAN_SUPPORT to yes
BEAN_SUPPORT=yes

if [ "$BEAN_SUPPORT" = "yes" ]; then
  # Enter the JDK version of your installation location here.
  # For AIX release we support only JRE 1.1.8
  JRE_VERSION=1.2.2

  # Enter the JRE path of your installation location here.
  # For example, JRE_PATH=/usr/jdk_base
  JRE_PATH=/home/chiliasp/bean/jre1.2.2

  # We will now update your LIBPATH/LD_LIBRARY_PATH and CLASSPATH
  # accordingly to enable Chili!Beans with your Chili!Soft ASP.
  ARCH=i386

  JAVA_LIBPATH=/home/chiliasp/bean/jre1.2.2/lib/i386
  JVM_LIBPATH=/home/chiliasp/bean/jre1.2.2/lib/i386/classic
  HPI_LIBPATH=/home/chiliasp/bean/jre1.2.2/lib/i386/native_threads

  # Enter the location and file name of your java library here.
  CB_JVMPATH=/home/chiliasp/bean/jre1.2.2/lib/i386/libjava.so
  export CB_JVMPATH

  new_libpath="/home/chiliasp/bean/cbnative:$JAVA_LIBPATH:$JVM_LIBPATH:$HPI_LIBPATH"
  PATTERN=`echo -n $new_libpath | tr ':' '|'`

  LD_LIBRARY_PATH=`echo -n $LD_LIBRARY_PATH | tr ':' '\n' | grep -v "\($PATTERN\)" | tr '\n' ':' | sed 's/\(:$\|^:\)//g'`
  if [ -z "$LD_LIBRARY_PATH" ]; then
    LD_LIBRARY_PATH=$new_libpath
  else
    LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$new_libpath"
  fi
			  
  LIBPATH=`echo -n $LIBPATH | tr ':' '\n' | grep -v "\($PATTERN\)" | tr '\n' ':' | sed 's/\(:$\|^:\)//g'`
  if [ -z "$LIBPATH" ]; then
    LIBPATH=$new_libpath
  else
    LIBPATH="$LIBPATH:$new_libpath"
  fi

  SHLIB_PATH=`echo -n $SHLIB_PATH | tr ':' '\n' | grep -v "\($PATTERN\)" | tr '\n' ':' | sed 's/\(:$\|^:\)//g'`
  if [ -z "$SHLIB_PATH" ]; then
    SHLIB_PATH=$new_SHLIB_PATH
  else
    SHLIB_PATH="$SHLIB_PATH:$new_libpath"
  fi

  CLASSPATH_ADDITIONS="/home/chiliasp/bean/cbjava:/home/chiliasp/caspsamp/beansamp/classes:$JRE_PATH/lib:$JRE_PATH/lib/rt.jar"

  PATTERN=`echo -n $CLASSPATH_ADDITIONS | tr ':' '|'`

  CLASSPATH=`echo -n $CLASSPATH | tr ':' '\n' | grep -v "\($PATTERN\)" | tr '\n' ':' | sed 's/\(:$\|^:\)//g'`
  if [ -z "$CLASSPATH" ]; then
    CLASSPATH=$CLASSPATH_ADDITIONS
  else
    CLASSPATH="$CLASSPATH:$CLASSPATH_ADDITIONS"
  fi

  export LD_LIBRARY_PATH
  export LIBPATH
  export SHLIB_PATH
  export CLASSPATH

  #set CB_STACKTRACE to 1 to display full stack trace in error
  #message when VM exception occurrs
  #CB_STACKTRACE=1
  #export CB_STACKTRACE

  #set CB_DEBUG to 1 to start VM in debug mode.The debug password 
  #will appear in the asp log file after the first asp page is loaded
  # CB_DEBUG=1
  #export CB_DEBUG

  #set CB_LOGPATH to a filename, the asp server will log JVM debug 
  #info to this file
  #CB_LOGPATH=/home/chiliasp/logs/chili-bean.log
  #export CB_LOGPATH
fi
