<% Option Explicit %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>manage a server</title>
<link rel="stylesheet" type="text/css" href="css/main.css">
</head>

<%g_NavigPos=c_navManageASPSrv%>

<!-- #include file="inc/bodyframes.asp" -->

<%
	if( not IsMultiserversAllow )then
		Response.Redirect (c_VirtualRoot & "/server.props.asp?server=" & Server.URLEncode(Session("ServerLoc")))
	end if

	Dim oInstDb, oServer, strPath, strStatus, flStopped, oINIFile, flRestart, strSrvURL
	Dim flRestartAll, strValue

	' if flRestartAll>1 show "Restart All Servers" link
	flRestartAll = 0

	Set oInstDb = Server.CreateObject("chili.installed_db")

%>

<% WriteTitle "ASP Servers", "", "", "" %>    

<% 
if Request.QueryString("action") <> "4" Then

	Set oINIFile = CreateObject("chili.inifile")

	if (Request.QueryString("a")="r") then
		Session.Timeout = 10
	end if

	For Each oServer In oInstDb.Servers
		

		strStatus = oServer.RunStatus
		flStopped = UCase(strStatus)="STOPPED"
		oINIFile.Open (oServer.Location & "/casp.cnfg")

		strValue = UCase( Trim( GetItem( oINIFile.Sections("admin"), "restart", "no", true ) ) )
		flRestart = strValue = "YES" and not flStopped 
		
		if (flRestart and Request.QueryString("a")="r") then
			on error resume next
			oServer.Restart
			flRestart = Err.number<>0
			on error goto 0
			IsEngineMT  oServer.Location
		end if

		strSrvURL = Server.URLEncode( oServer.Location )

%>
<!-- #include file="inc/lists.asp" -->
            <tr class="TableHeader" valign="middle" bgcolor="#000000">
              <td width="68%"><% 
				WriteTextFont "server:", "", "", "#FFFFFF"
				Response.Write "<b>"
				WriteTextFont oServer.ServerName, "", "", "#FFFFFF" 
				Response.Write "</b>"
			  %></td>
              <td width="16%">
              <%
				WriteFont "", "", "#FFFFFF"
				WriteAStatus "properties", "server.props.asp?server=" & strSrvURL, "Go to ASP server properties", "WhiteLink"
				Response.Write "</font>"
			  %></td>
              <td width="16%">
              <%
				WriteFont "", "", "#FFFFFF"
				WriteAStatus "remove", "manage.server.asp?action=4&amp;server=" & strSrvURL, "Remove ASP server", "WhiteLink"
				Response.Write "</font>"
			  %></td>
            </tr>
            <tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6">
              <td width="68%">
              <%
				WriteText "status:"
				Response.Write "<strong>"
                WriteText strStatus
				Response.Write "</strong>"
			  %></td>
              <td width="16%">
			  <%
				strTemp = "server.action.asp?server=" & strSrvURL & "&amp;action="
                if flStopped Then 
					WriteAStatusFont "start", strTemp = strTemp & "2", "Start ASP Server", "BlackLink"
				else
					WriteAStatusFont "stop", strTemp = strTemp & "1", "Stop ASP Server", "BlackLink"
				end if
			  %></td>
              <td width="16%">
			  <% if flRestart then 
					flRestartAll = flRestartAll + 1
					WriteAStatus "restartrequired", strTemp = strTemp & "3", "Restart ASP Server", "HotLink"
				else
					Response.Write "&nbsp;"
				end if
			  %></td>
            </tr>
            <tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6">
              <td width="68%"><% 
				WriteText "location:"
				Response.Write "<strong>"
                WriteText oServer.Location
				Response.Write "</strong>"
              %></td>
              <td width="16%">&nbsp;</td>
              <td width="16%">&nbsp;</td>
            </tr>
            <tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6">
            	<td width="100%" COLSPAN="3" height="1"><hr color="#ffffff" width="100%"></td>
            </tr>
            <tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6">
              <td width="68%"><% 
				WriteText "webservername: "
				Response.Write "<strong>"
                WriteText WebServerName(oServer.ServerURL)
				Response.Write "</strong>&nbsp;"
				WriteText "port: "
				Response.Write "<strong>"
				WriteText WebServerPort(oServer.ServerURL)
				Response.Write "</strong>"
              %></td>
              <td width="32%" COLSPAN="2"><% 
				WriteText "status:"
				Response.Write "<strong>"
	            if oServer.IsWebServerRunning=0 then
					WriteText "Stopped"
				else
					WriteText "Running"
				end if
				Response.Write "</strong>"
              %></td>
		    </tr>
<!-- #include file="inc/liste.asp" -->
<br>
<%	next %>
<%
if (Request.QueryString("a")="r") then
	Session.Timeout = 3
	Response.Clear
	Response.Redirect "manage.server.asp"
end if
%>
	<br>
    <table border="0" width="100%">
      <tr>
	    <td width="50%">
	    <p><b><% WriteAStatusFont "Add a new server", "server.add.asp", "Add new ASp Server", "BlackLink" %></b></p>
	  </td>
	  <td width="50%" align="right">
	  	<p><b>
	  	<%	if (flRestartAll>1) then 
	  			WriteAStatusFont "RestartAllServers", "manage.server.asp?a=r", "Restart All ASP Server", "HotLink"
	  		else
	  			Response.Write "&nbsp;"
	  		end if
	  	%></b></p>
	    </td>
	  </tr>
	</table>
        
<% else 

	Set oServer = oInstDb.Servers(Request("server"))
%>
<!-- #include file="inc/lists.asp" -->
	<form method="GET" action="server.action.asp" id="form1" name="form1">
    <tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6" height="100">
      <td width="100%">
		<input type="hidden" id="server" name="server" value="<%= Request("server") %>">
		<input type="hidden" id="action" name="action" value="<%= Request("action") %>">
		<input type="hidden" id="gotopage" name="gotopage" value="<%= Server.HTMLEncode( Request.ServerVariables("HTTP_REFERER") )%>">
            <%	WriteText "Do you really want to remove server "
				Response.Write "<b>" 
				WriteTextNoTrans oServer.ServerName 
				Response.Write "</b>?" 
			%></td>
    </tr>
	<tr class="TableEvenLine" valign="middle" bgcolor="#e6e6e6">
      <td width="100%">
          <table border="0" width="86%">
            <tr>
				<% WriteHidden "btnRemove", "" %>
			    <td width="20%" valign="middle" align="center"><%
					call WriteButton("submit", "btn", "Yes", "btnRemove", "Yes", "", "", "" )
			    %></td>
			    <td width="20%" valign="middle" align="center"><%
					call WriteButton("submit", "btn", "No", "btnRemove", "No", "", "", "" )
			    %></td>
              <td width="20%" valign="middle" align="center">&nbsp;</td>
              <td width="20%" valign="middle" align="center">&nbsp;</td>
              <td width="20%" valign="middle" align="center">&nbsp;</td>
            </tr>
          </table>
	  </td>          
	</tr>          

<!-- #include file="inc/liste.asp" -->

<% end if %>	

<!-- #include file="inc/bodyframee.asp" -->
