ASPHOME=/home/chiliasp

if [ -z "$COM_LAYER" ]; then
  COM_LAYER=chilicom
fi

## source com/win32 environment
INSTALL_DIR=$ASPHOME/$COM_LAYER
export INSTALL_DIR
. $INSTALL_DIR/setup.sh
unset INSTALL_DIR

## set registry directory if it
## hasn't been set yet
if [ -z "$CSREGISTRY" ]; then
  export CSREGISTRY=${CSHOME}/lib
fi

LIB_ADD="/home/chiliasp/lib-$COM_LAYER"

if [ `uname` = "AIX" ]; then
  ## set LIBPATH
  if [ -z "$LIBPATH" ]; then
    LIBPATH=${LIB_ADD}
  else
    LIB_TEMP=${LIBPATH}
    LIB_ALREADY=`echo ${LIBPATH} | grep "${LIB_ADD}"`
    if [ -z "${LIB_ALREADY}" ]; then
      LIB_TEMP=${LIB_ADD}:${LIBPATH}
    fi
    LIBPATH=${LIB_TEMP}
    unset LIB_TEMP LIB_ALREADY
  fi             
  export LIBPATH
else
  if [ `uname` = "HP-UX" ]; then
    ## set SHLIB_PATH
    if [ -z "$SHLIB_PATH" ]; then
      SHLIB_PATH=${LIB_ADD}
    else
      LIB_TEMP=${SHLIB_PATH}
      LIB_ALREADY=`echo ${SHLIB_PATH} | grep "${LIB_ADD}"`
      if [ -z "${LIB_ALREADY}" ]; then
        LIB_TEMP=${LIB_ADD}:${SHLIB_PATH}
      fi
      SHLIB_PATH=${LIB_TEMP}         
      unset LIB_TEMP LIB_ALREADY
    fi
    export SHLIB_PATH
  else
    ## set LD_LIBRARY_PATH
    if [ -z "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH=${LIB_ADD}
    else
      LIB_TEMP=${LD_LIBRARY_PATH}
      LIB_ALREADY=`echo ${LD_LIBRARY_PATH} | grep "${LIB_ADD}"`
      if [ -z "${LIB_ALREADY}" ]; then
        LIB_TEMP=${LIB_ADD}:${LD_LIBRARY_PATH}
      fi
      LD_LIBRARY_PATH=${LIB_TEMP}
      unset LIB_TEMP LIB_ALREADY
    fi 
    export LD_LIBRARY_PATH
  fi 
fi
unset LIB_ADD
